SELECT 1 sort_column,
       'Employed at Beginning of Year' employee_status_text,
       employee_id,
       employee_name,
       employee_hire_date,
       employee_termination_date
  FROM employee
 WHERE employee_hire_date < TO_DATE('1-Jan-1998','dd-mon-yyyy')
   AND (employee_termination_date IS NULL
        OR employee_termination_date >= TO_DATE('1-Jan-1998','dd-mon-yyyy'))
UNION ALL
SELECT 2 as sort_column,
       'Hired During Year' as employee_status_text,
       employee_id,
       employee_name,
       employee_hire_date,
       employee_termination_date
  FROM employee
 WHERE employee_hire_date >= TO_DATE('1-Jan-1998','dd-mon-yyyy')
   AND (employee_hire_date < TO_DATE('1-Jan-1999','dd-mon-yyyy'))
UNION ALL
SELECT 3 as sort_column,
       'Terminated During Year' as employee_status_text,
       employee_id,
       employee_name,
       employee_hire_date,
       employee_termination_date
  FROM employee
 WHERE employee_termination_date >= TO_DATE('1-Jan-1998','dd-mon-yyyy')
   AND (employee_termination_date < TO_DATE('1-Jan-1999','dd-mon-yyyy'))
UNION ALL
SELECT 4 as sort_column,
       'Employed at End of Year' as employee_status_text,
       employee_id,
       employee_name,
       employee_hire_date,
       employee_termination_date
  FROM employee
 WHERE employee_hire_date < TO_DATE('1-Jan-1999','dd-mon-yyyy')
   AND (employee_termination_date IS NULL
        OR employee_termination_date >= TO_DATE('1-Jan-1999','dd-mon-yyyy'))
ORDER BY sort_column, employee_id, employee_hire_date
;

