SET ECHO OFF
--DESCRIPTION
--Analyze and compute statistics for all tables
--owned by the user.

--We only want the results of the query written to the 
--file. Headings, titles, feedback, etc aren't valid 
--commands, so turn all that stuff off.
SET HEADING OFF
SET PAGESIZE 0
SET VERIFY OFF
SET FEEDBACK OFF
SET TERMOUT OFF

--Create a file of ANALYZE commands, one for
--each table. PROMPT commands are used to write 
--SET ECHO ON and OFF commands to the spool file.
SPOOL analyze_each_table.sql
PROMPT SET ECHO ON
SELECT 'ANALYZE TABLE ' || table_name || ' COMPUTE STATISTICS;' 
  FROM user_tables;
PROMPT SET ECHO OFF
SPOOL OFF

--Execute the ANALYZE commands.
SET TERMOUT ON
@analyze_each_table

--Reset settings back to defaults
SET HEADING ON
SET PAGESIZE 14
SET VERIFY ON
SET FEEDBACK ON

